#ifndef CONSTRAINT_SOLVER_H
#define CONSTRAINT_SOLVER_H

/* This is the general interface for any object that can solve constraints.
 */
class ConstraintSolver {
  public:
    ConstraintSolver() {};
    virtual ~ConstraintSolver() {};
    virtual void solve()=0;
    void init(char *file_name);
    void print_pts();
    void print_statistics() const;
};

#endif
