#ifndef DEBUG_H
#define DEBUG_H
#include <stdarg.h>

#if defined(NDEBUG) && defined(__GNUC__)

  /* gcc's cpp has extensions; it allows for macros with a variable number
     of arguments. We use this extension here to preprocess pmesg away. */
  #define PMESG(format, args...) ((void)0)

#else

  void PMESG(char *format, ...);

#endif

#endif
