#include "debug.h"
#include <stdio.h>

#if defined(NDEBUG) && defined(__GNUC__)

/* Nothing. PMESG has been "defined away" in debug.h already. */

#else

void PMESG(char* format, ...) {
  #ifdef NDEBUG
    /* Empty body, so a good compiler will optimise calls
       to PMESG away */
  #else
        va_list args;
        va_start(args, format);
       // vfprintf(stderr, format, args);
        va_end(args);
  #endif /* NDEBUG */

}
#endif /* NDEBUG && __GNUC__ */
